Subject: Re: [PATCH net-next v3 07/11] net: ethernet: ti: cpts: rework locking

From: Richard Cochran <[email-masked]>
Date: Thu, 26 Mar 2020 18:28:24 -0700

On Fri, Mar 20, 2020 at 09:42:40PM +0200, Grygorii Strashko wrote:
> Now spinlock is used to synchronize everything which is not required. Add
> mutex and use to sync access to PTP interface and PTP worker and use
> spinlock only to sync FIFO/events processing.

If you haven't already, I suggest testing this change with lockdep
enabled.

Thanks,
Richard